/*section#contentChat .row */
.hidden{
  display:none;
}
#contentChat div.ChatWriteContent{
	/*overflow-y:scroll;*/
	widows: 100%;
	background: #f3f3f3;
	height: 470px;

	
}

#contentChat .TextAreaChat{
	height: 70px;
	font-size: 14px;
	resize: none;
	padding: 1em;
}

#contentChat .send{
	font-size: 3em;
	color: #337ab7;
}
#contentChat .send1{
	font-size: 3em;
	color: white;
}

#contentChat .parentSend:hover > .send{
	color:#1145e0;
}

#contentChat .parentSend:active > .send{
	color: #3d90d3;
}


.module {
  /*width: 300px;*/
  width: 100%;
  margin: 20px auto;
}

.top-bar {
	height: 50px; 
	width: 100%;
  background: #f7bf25;
  color: white;
  padding: 0.5rem;
  position: relative;
  overflow: hidden;
  box-shadow: 0px 2px 5px gray;
 }
 .top-bar h1 {
    display: inline;
    font-size: 1.1rem;
}
.top-bar .typicons-message {
    display: inline-block;
    padding: 4px 5px 2px 5px;
}
.top-bar .typicons-minus {
    position: relative;
    top: 3px;
}
.top-bar .left {
    float: left;
}
.top-bar .right {
    float: right;
    padding-top: 5px;
}
.top-bar > * {
    position: relative; 
}
.top-bar &::before {
    content: "";
    position: absolute;
    top: -100%;
    left: 0;
    right: 0;
    bottom: -100%;
    opacity: 0.25;
    background: radial-gradient(white, black);
    animation: pulse 1s ease alternate infinite;
}

.discussion {
    list-style: none;
    background: #e5e5e5;
    margin: 0;
    padding: 0 0 50px 0; 
	
}
.discussion li {
    padding: 0.5rem;
    overflow: hidden;
    display: flex;
}
.discussion .avatar {
    width: 40px; 
   /* // could set height, but gonna bottom-align instead*/
    position: relative; /*// for triangle*/
}
.discussion .avatar img {
    display: block; /*// triangle position*/
    width: 100%;
    
}


.other 
.avatar 
&:after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	width: 0;
	height: 0;
	border: 5px solid white;
	border-left-color: transparent;
	border-bottom-color: transparent;
}


.self {
  justify-content: flex-end;
  align-items: flex-end;
}
.self .messages {
    order: 1;
    border-bottom-right-radius: 0; 
  }
.self .avatar {
    order: 2;
}
.self .avatar  &:after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 0;
      height: 0;
      border: 5px solid white;
      border-right-color: transparent;
      border-top-color: transparent;
      box-shadow: 1px 1px 2px rgba(black, 0.2); 
}

.messages {
  background: white;
  padding: 10px;
  border-radius: 2px;
  box-shadow: 0 1px 2px rgba(black, 0.2);
 }
.messages p {
    font-size: 12px;
    margin: 0 0 0.2rem 0;
  }
.messages  time {
    font-size: 1rem;
    color: #ccc;
  }
}
